Download and Installation

Note:

If you have code that was written for an old version of Gumbie (before version 1.0, i.e., downloaded before 08/19/2001), then you need to add the line 'import Default' to your main module in order to make it work with the current version. Other than that, things should work as before.

Unix
Mac
Windows


Unix:

You will need some kind of Java runtime environment on your machine, e.g., the Sun JDK, as well as a recent version of Jython.

The archive gumbie-1.0.jar contains all the relevant files. In order to install the software on your system, just download the archive and type 'jar xvf gumbie-1.0.jar'. This will create a directory called gumbie that contains all the relevant files.

You also need to create a registry file called .jython in your home directory that contains the line ython.path=/home/brinkman/prog/java/gumbie where the path on the right hand side is the path to your gumbie directory.


Mac:

You will need a fairly recent version of the MRJ/SDK from Apple, as well as a recent version of Jython.

The archive gumbie-1.0.jar contains all the relevant files. Just download the file and unpack it by dragging it onto the icon labelled 'jar' in the MRJ Tools folder.

You also need to create a registry file for Jython that contains the line python.path=path_to_gumbie_folder where the path on the right hand side is the path to your gumbie folder.


Windows:

You will need some kind of JDK. I recommend Sun's JDK, as well as a recent version of Jython.

The archive gumbie-1.0.jar contains all the relevant files. In order to install the software on your system, just download the archive and type 'jar xvf gumbie-1.0.jar'. This will create a directory called gumbie that contains all the relevant files.

You also need to create a registry file for jython that contains the line python.path=path_to_gumbie_directory where the path on the right hand side is the path to your gumbie directory.



Peter Brinkmann
$Date: 2003-01-05 18:05:40-06 $

Valid HTML 4.01!